Organization API: Org Staff Ops
Every Organization API operation tagged Org Staff Ops.
Base URL: https://api.coritan.com/api/v1. Paths below are complete.
To try these requests in the browser, open the interactive Organization API reference.
GET /api/v1/orgs/{org_slug}/staff/ops-summary
| Name |
In |
Type |
Required |
org_slug |
path |
string |
yes |
audience |
query |
string or null |
no |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
GET /api/v1/orgs/{org_slug}/staff/orders
| Name |
In |
Type |
Required |
Description |
org_slug |
path |
string |
yes |
|
q |
query |
string or null |
no |
|
customer_id |
query |
integer or null |
no |
|
status_filter |
query |
string or null |
no |
|
audience |
query |
string or null |
no |
|
limit |
query |
integer |
no |
Default: 50. |
offset |
query |
integer |
no |
Default: 0. |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
GET /api/v1/orgs/{org_slug}/staff/orders/stats
One count per order status for the tiles above the list, under the
audience the request carries. cancelled is spelled as the status
value is (the way the invoice stats spell theirs); stuck folds
pending, provisioning and failed orders that are paid for (or were never
invoiced), from the clause the stuck list filters with.
| Name |
In |
Type |
Required |
org_slug |
path |
string |
yes |
audience |
query |
string or null |
no |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
GET /api/v1/orgs/{org_slug}/staff/orders/{service_id}
| Name |
In |
Type |
Required |
service_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
GET /api/v1/orgs/{org_slug}/staff/refund-requests
| Name |
In |
Type |
Required |
Description |
org_slug |
path |
string |
yes |
|
status |
query |
string or null |
no |
|
limit |
query |
integer |
no |
Default: 50. |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
GET /api/v1/orgs/{org_slug}/staff/refund-requests/{request_id}
| Name |
In |
Type |
Required |
request_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/staff/refund-requests/{request_id}/approve
| Name |
In |
Type |
Required |
request_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
application/json (required)
| Field |
Type |
Required |
resolution |
string |
no |
note |
string or null |
no |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/staff/refund-requests/{request_id}/reject
| Name |
In |
Type |
Required |
request_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
application/json (required)
| Field |
Type |
Required |
note |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
GET /api/v1/orgs/{org_slug}/staff/search
| Name |
In |
Type |
Required |
org_slug |
path |
string |
yes |
q |
query |
string |
yes |
audience |
query |
string or null |
no |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |